cifti::NiftiHeader Struct Reference
Collaboration diagram for cifti::NiftiHeader:
[legend]

## Public Member Functions

void | read (BinaryFile &inFile)
void | write (BinaryFile &outFile, const int &version=1, const bool &swapEndian=false)
bool | canWriteVersion (const int &version) const
bool | isSwapped () const
int | version () const
std::vector< int64_t > | getDimensions () const
std::vector< std::vector< float > > | getSForm () const
double | getTimeStep () const
int64_t | getDataOffset () const
int16_t | getDataType () const
int32_t | getIntentCode () const
const char * | getIntentName () const
const char * | getDescription () const
bool | getDataScaling (double &mult, double &offset) const
int | getNumComponents () const
AString | toString () const
void | setDimensions (const std::vector< int64_t > &dimsIn)
void | setSForm (const std::vector< std::vector< float > > &sForm)
void | setTimeStep (const double &seconds)
void | setIntent (const int32_t &code, const char name[16])
void | setDescription (const char descrip[80])
void | setDataType (const int16_t &type)
void | clearDataScaling ()
void | setDataScaling (const double &mult, const double &offset)
void | setDataTypeAndScaleRange (const int16_t &type, const double &minval, const double &maxval)
std::vector< std::vector< float > > | getFSLSpace () const
| get the FSL "scale" space
bool | operator== (const NiftiHeader &rhs) const
bool | operator!= (const NiftiHeader &rhs) const

## Public Attributes

std::vector< boost::shared_ptr< NiftiExtension > > | m_extensions

The documentation for this struct was generated from the following files:

- NiftiHeader.h
- NiftiHeader.cxx